offline: mac os 9/10: download/sync causing a Hang/crash

VERIFIED DUPLICATE of bug 108791

Status

P1
normal
VERIFIED DUPLICATE of bug 108791
17 years ago
14 years ago

People

(Reporter: grylchan, Assigned: bryner)

Tracking

Trunk
mozilla1.0
PowerPC
Mac System 9.x
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

17 years ago
Using 2001-11-30-08-trunk on Mac 9.1 and 10.1
The 2001-11-30 commercial builds for linux and windows are ok.

This only occurs in Classic theme. I do not
see this crash in Modern theme.

I regressed it back to 
2001-11-26-04-trunk/ Mon Nov 26 06:59:00
The 11-23-08 trunk build is ok. So the 11-26-04 build is
when the problem first manifests itself.

Not sure whether this is an offline, memory, or theme bug.
My guess this is a memory bug.

If you try to use Download/Sync Now (from File|Offline|Download/Sync)
in Messenger it will result in a hang, the computer hangs, and 
eventually forces you to reboot the computer. When you restart browser, 
then talkback appears.

On os 10.1 build, I just get the 'unexpectedly quit' error.
But i can restrart the browser unlike in os 9.1

steps to reproduce:
1.Migrate/create new profile.
2.start browser
3.switch to classic theme. quit/restart browser
4.Login to your imap mail account.
5.File|Offline|Download/Sync

result: hang occurs, trying to force quit (apple-option-esc)
        results in force quit window being blank, eventually
        mouse freezes and you have to reboot the computer

expected: to see download/sync now window

I try same profile/new profile in modern theme and it works
fine. Download/Sync now window pops up fine.

Stack trace is never the same. The only consistent thing
I see is the "unmapped memory exception " mesg for Trigger Reason.
And in register/stack dump section: "Unsupported Platform"

I *think* this is most consistent one i've seen:
 Tb id: TB38732157K or TB38730358Z

0x3f973fb8 
0x3f968834 
InterfaceLib + 0x17c7c (0xffd1499c) 
nsMemoryImpl::IsLowMemory() [nsMemoryImpl.cpp, line 353]
MemoryFlusher::Run() [nsMemoryImpl.cpp, line 182]
nsThread::Main() [nsThread.cpp, line 120]
_PR_UserRunThread() [pruthr.c, line 503]
_PR_UserDestroyThread() [pruthr.c, line 374]

Another TB
TB38731874M or TB38734450E
(Signature = FontManager + 0xbc3c (0x3f985b2c) 90f6332b) 
     
   FontManager + 0xbc3c (0x3f985b2c) 
   FontManager + 0xc990 (0x3f986880) 
   FontManager + 0xce9c (0x3f986d8c) 
   FontManager + 0xe1d8 (0x3f9880c8)  
   FontManager + 0xe7cc (0x3f9886bc)  
   InterfaceLib + 0x137b4 (0xffd104d4) 
   FontManager + 0xe950 (0x3f988840) 
   FontManager + 0xea28 (0x3f988918) 
   FontManager + 0x19564 (0x3f993454)   
   FontManager + 0x1c938 (0x3f996828) 
   InterfaceLib + 0x217b8 (0xffd1e4d8)  
   FontManager + 0x1cd6c (0x3f996c5c) 

More talkback ids:
11-29 builds
TB38734450E
TB38730358Z
TB38730230E

11-30-builds
TB38731705E
TB38734516Y
TB38732157K
TB38731874M
(Reporter)

Updated

17 years ago
Blocks: 109117
(Reporter)

Comment 1

17 years ago
wanted to add additional comment.

Playing with 12-21 trunk builds.

I think just going offline (via icon) in modern theme then
going back online causes the 'spinning barber pole' at the bottom
of messenger. And you can't really read any mesgs and you must
exit the application and restart. 




Summary: offline: mac os 9/10: download/sync causing a Hang/crash → offline: mac os 9/10: download/sync causing a Hang/crash
(Reporter)

Comment 2

17 years ago
adding comment, could these mac mail only bugs
bug 111015 or bug 111013 be related?

Updated

17 years ago
Status: NEW → ASSIGNED
Keywords: nsbeta1
(Reporter)

Comment 3

17 years ago
Not sure if this will help..

Tried  2002-01-09-10-trunk/ on Mac os 10.1
And using OS X's console log this is what appears when I try
to bring up the download/sync now window in classic theme.

2002-01-09 18:36:18.580 loginwindow[261] Can't connect to pbs object 
"RulebookServer"

2002-01-09 18:36:18.581 loginwindow[261] Can't connect to pbs object 
"RulebookServer"

---------
Date/Time:  2002-01-09 18:36:17 -0800
OS Version: 10.1.2 (Build 5P48)

Command:    Netscape 6
PID:        292

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_INVALID_ADDRESS (0x0001) at 0xbff7ffc0

Thread 0:
 #0   0x700094fc in pthread_mutex_lock
 #1   0x70241b14 in TSLockMutex
 #2   0x70252a30 in RetrieveDataFromOpaqueID
 #3   0x702ae514 in MPSignalSemaphore
 #4   0x00513640 in 0x513640
 #5   0x0050b478 in 0x50b478
 #6   0x0050b2f8 in 0x50b2f8
 #7   0x005053d4 in 0x5053d4
 #8   0x0050349c in 0x50349c
 #9   0x00590318 in 
GetFactoryEntry__22nsComponentManagerImplFRC4nsIDR7nsIDKeyi
 #10  0x00590254 in GetFactoryEntry__22nsComponentManagerImplFRC4nsIDi
 #11  0x005904e0 in 
FindFactory__22nsComponentManagerImplFRC4nsIDPP10nsIFactory
 #12  0x00590c18 in 
CreateInstance__22nsComponentManagerImplFRC4nsIDP11nsISupports
 #13  0x00596ef8 in 
CreateInstance__18nsComponentManagerFRC4nsIDP11nsISupportsRC4n
 #14  0x0058c1d0 in _cl__21nsCreateInstanceByCIDCFRC4nsIDPPv
 #15  0x0061d85c in 
assign_from_helper__13nsCOMPtr_baseFRC15nsCOMPtr_helperRC4nsID
 #16  0x01ef0568 in 0x1ef0568
 #17  0x01ef1518 in 
GetNextTabbableContent__19nsEventStateManagerFP10nsIContentP8n
 #18  0x01eefca8 in 0x1eefca8
 #19  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #20  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #21  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #22  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #23  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #24  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #25  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #26  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #27  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #28  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #29  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #30  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #31  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #32  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #33  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #34  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #35  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #36  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #37  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #38  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #39  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #40  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #41  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #42  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #43  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #44  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #45  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #46  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #47  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #48  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #49  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #50  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #51  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #52  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #53  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #54  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #55  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #56  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #57  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #58  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #59  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #60  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #61  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #62  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #63  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #64  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #65  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #66  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #67  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #68  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #69  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #70  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #71  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #72  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #73  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #74  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #75  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #76  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #77  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #78  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #79  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #80  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #81  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #82  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #83  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #84  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #85  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #86  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #87  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #88  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #89  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #90  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #91  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #92  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #93  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #94  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #95  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #96  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #97  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #98  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #99  0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #100 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #101 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #102 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #103 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #104 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #105 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #106 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #107 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #108 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #109 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #110 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #111 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #112 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #113 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #114 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #115 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #116 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #117 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #118 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #119 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #120 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #121 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #122 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #123 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #124 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #125 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #126 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #127 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #128 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #129 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #130 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #131 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #132 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #133 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #134 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #135 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #136 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #137 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #138 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #139 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #140 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #141 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #142 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #143 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #144 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #145 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #146 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #147 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #148 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #149 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #150 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #151 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #152 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #153 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #154 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #155 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #156 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #157 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #158 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #159 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #160 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #161 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #162 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #163 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #164 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #165 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #166 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #167 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #168 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #169 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #170 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #171 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #172 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #173 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #174 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #175 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #176 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #177 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #178 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #179 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #180 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #181 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #182 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #183 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #184 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #185 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #186 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #187 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #188 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #189 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #190 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #191 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #192 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #193 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #194 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #195 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #196 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #197 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #198 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #199 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #200 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #201 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #202 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #203 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #204 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #205 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #206 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #207 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #208 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #209 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #210 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #211 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #212 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #213 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #214 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #215 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #216 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #217 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #218 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #219 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #220 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #221 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #222 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #223 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #224 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #225 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #226 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #227 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #228 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #229 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #230 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #231 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #232 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #233 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #234 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #235 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #236 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #237 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #238 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #239 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #240 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #241 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #242 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #243 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #244 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #245 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #246 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #247 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #248 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #249 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #250 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #251 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #252 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #253 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #254 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #255 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #256 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #257 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #258 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #259 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #260 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #261 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #262 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #263 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #264 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #265 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #266 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #267 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #268 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #269 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #270 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #271 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #272 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #273 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #274 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #275 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #276 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #277 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #278 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #279 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #280 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #281 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #282 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #283 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #284 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #285 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #286 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #287 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #288 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #289 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #290 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #291 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #292 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #293 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #294 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #295 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #296 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #297 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent
 #298 0x01ef0234 in ShiftFocus__19nsEventStateManagerFiP10nsIContent


PPC Thread State:
  srr0: 0x700094fc srr1: 0x0200d030                vrsave: 0x00000000
   xer: 0x00000018   lr: 0x70241b14  ctr: 0x700094f0   mq: 0x00000000
    r0: 0x70241b14   r1: 0xbff80010   r2: 0x702adbc4   r3: 0x80240b38
    r4: 0x00000000   r5: 0xbff8011c   r6: 0xffffffff   r7: 0x00000000
    r8: 0x0004f0f4   r9: 0x80240e10  r10: 0x00000024  r11: 0x8024173c
   r12: 0x700094f0  r13: 0x00000000  r14: 0x00000033  r15: 0x0005ed40
   r16: 0x00000001  r17: 0x80160fa8  r18: 0x0005f1b8  r19: 0x00001907
   r20: 0x00000000  r21: 0x0000001c  r22: 0x70004234  r23: 0x700042c8
   r24: 0x7016b0dc  r25: 0x006bac3c  r26: 0x8081ab5c  r27: 0xc0dc2000
   r28: 0x00000000  r29: 0xbfffef00  r30: 0x760a0000  r31: 0x00000001

**********



Comment 4

17 years ago
There's a chance that when the fix for bug 113671 goes in, this will magically
fix itself. I'm wondering if the mac is just getting horked because of the
dialog width  and height specification. I'm going to mark it as a dependency, so
that we'll remember to retry it when the fix for 113671 goes in.
Depends on: 113671
(Reporter)

Updated

17 years ago
No longer depends on: 113671
(Reporter)

Comment 5

17 years ago
Using commercial trunk builds
2002-01-11-08-trunk mac 10.1 and mac 9.1

I'm afraid the patch for bug 113671 failed to fix this. :-(

The only thing is I know it fails 100% of time for classic
theme. And it sometimes fails in modern theme.

In 2002-01-11-08-trunk fails in classic and works in modern.

This bug now blocks another bug: Bug 113671.
Adding that to block list.
Blocks: 113671

Updated

17 years ago
Keywords: nsbeta1 → nsbeta1+
Priority: -- → P1

Updated

17 years ago
Target Milestone: --- → mozilla1.0

Comment 6

17 years ago
I get this crash with the Classic skin in the 20020118 build on Mac OS X.

Comment 7

17 years ago
Any chance this can be fixed for 0.9.9? This is a regression and crash affecting
a basic feature, but right now it's marked mozilla1.0 with "normal" severity.

Comment 8

17 years ago
I don't have a mac, or access to one, so there's nothing I can do about this,
unfortunately. It looks to me like a toolkit problem, from the stack traces.
Adding Simon to cc list in case he's seen anything like this.

Comment 9

17 years ago
Same stack as some of the logs in bug 108791.

Bryner, this really looks like an event state manger bug; it's recursing in 
nsEventStateManager::ShiftFocus(int, nsIContent*) and blowing the stack.
Assignee: bienvenu → bryner
Status: ASSIGNED → NEW

Comment 10

17 years ago
Thanks, Simon!
(Reporter)

Comment 11

17 years ago
Brian, Simon, and David.

I don't see this problem anymore. I tried the
2002-02-01-03-trunk/ on mac 9.2 and mac os 10.1.2

and this doesn't hang/crash. I tried with both mail and newsgroups,
different themes and everything worked as expected.

Did fix for bug 108791 do the trick? Or one of David's numerous
checks for mail/newsgroups do it?

Anyways I can resolve it as works for me or let you Brian
change to resolved and then I can verify it. Up to you guys.

thanks for the fix.

Comment 12

17 years ago
seems it was a dup.

*** This bug has been marked as a duplicate of 108791 ***
Status: NEW → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → DUPLICATE
(Reporter)

Comment 13

17 years ago
verified dupe.
(Reporter)

Comment 14

17 years ago
really marking as verified.
Status: RESOLVED → VERIFIED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.